View Issue Details

IDProjectCategoryView StatusLast Update
0006777MediaMonkey (current)Collections (Filters)public2011-01-13 00:00
Reporterrusty 
PriorityimmediateSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0006777: Collection Default settings
DescriptionA few changes need to be made to the various collection default Tree and Column settings (square brackets indicate the addition of a field):

Classical:
----------
Tree: Location, Artist & Album Artist, Composer, [Conductor], Album, Genre, Year, [Original Year], Rating, Classification, Files to Edit, Virtual CD, Previews.

Columns: Title, Artist, [Composer], Album, Genre, Rating, Path, Filename, .....


Podcast:
--------
Tree: Podcast Directories, Podcast Subscriptions, [Podcasts], [Artists], [Genre], [Year], [Files to edit]


Note: change Podcast Subscriptions List --> Podcast Subscriptions (or even just Subscriptions)

AudioBook:
----------
Tree: Remove the Composer and Classification nodes

Columns: Change default order to: Album, Title, Artist, ...

Video:
------
Tree: Change Artist & Album Artist to 'Director' & Add 'Parental Rating' after 'Year'. Remove Classification, Virtual CD, and Previews nodes.

Columns: Change default order to: Title, Director, Producer, Date, Genre, Rating, Series,...

Peke also suggested in 0006795 that internally indentical fields shouldn't appear, however, I'm not certain whether this is possible--it may be worth moving to a separate bug since the issue applies outside of Video. e.g. Artist, Lyricist, Album, Artist/Album should not be available for choice in Video/TV


Music Video:
------------
Tree: Remove Virtual CD & Previews nodes.
TagsNo tags attached.
Fixed in build1335

Relationships

related to 0006575 closedLudek Different content Types should have different Properties window layouts 
related to 0006579 closedpetr UI Simplification: Remove 'Views' from Collections Options 
has duplicate 0006796 resolvedrusty Tree nodes: Video/TV Collection default nodes 
has duplicate 0006795 closedrusty Colums: Names are incorrect for collections 
related to 0006509 closedLudek Playlists should display using appropriate view settings 
related to 0007586 closedpetr On clean install, some nodes have no column settings (regression) 
related to 0007611 closedLudek Parental Rating as available Tree node and column 
related to 0008260 closedpetr Column Sort and Grouping settings/issues 
related to 0008865 assignedpetr View settings don't persist consistently for Playlists 

Activities

peke

2010-12-03 12:52

developer   ~0021591

I have more thought grayed like columns are grayed/unavailable in Album art views.

jiri

2010-12-03 14:13

administrator   ~0021592

As for the suggestion to hide identical fields - that would be in opposite direction to why this was implemented - we allowed all fields to be shown, so that they can be individually configured and don't have to depend on some outside condition (like a Type of collection - which is a property that actually doesn't exist). The only option was to base it all on Type of tracks configured in Collection Conditions, but we decided to not go this way, at least not for now.

petr

2010-12-06 23:07

developer   ~0021640

New defaults implemented in 1332

rusty

2010-12-08 23:06

administrator   ~0021691

Tested 1332 and a few issues remain:

1) When switching to Album Art + Details view, the columns are often messed up (i.e. the defaults after a clean install are incorrect in the AA+Details view). Please verify that the columns are the same (except for the inclusion of the Artwork + Artist/Album (Director/Series, Artist/Podcast) columns.

2) Classical Tree: Original Year node doesn't work (e.g. even if a node '1984' appears, tracks don't appear within it).

3)Podcast Tree:
 a) Podcast directories and Subscriptions should be _above_ the other tree entries.
 b) Locations node should be added

4)Video Tree: Director should preceed Producer

5) I've taken screen captures for each of the various Collections to show what the default config should look like (especially re. which views to use for each collection by default + how the track browser should be configured per view in which it's enabled).

rusty

2010-12-09 04:13

administrator  

Audiobook.jpg (157,902 bytes)
Audiobook.jpg (157,902 bytes)

rusty

2010-12-09 04:13

administrator  

Podcast.jpg (211,021 bytes)
Podcast.jpg (211,021 bytes)

rusty

2010-12-09 04:14

administrator  

Classical.jpg (137,851 bytes)
Classical.jpg (137,851 bytes)

rusty

2010-12-09 04:14

administrator  

Music.jpg (212,169 bytes)
Music.jpg (212,169 bytes)

rusty

2010-12-09 04:14

administrator  

Now_Playing.jpg (232,540 bytes)
Now_Playing.jpg (232,540 bytes)

rusty

2010-12-09 21:26

administrator  

Video.jpg (168,424 bytes)
Video.jpg (168,424 bytes)

rusty

2010-12-09 21:34

administrator  

TV.jpg (153,961 bytes)
TV.jpg (153,961 bytes)

petr

2010-12-12 00:40

developer   ~0021748

Fixed in 1334

rusty

2010-12-14 23:58

administrator   ~0021823

Tested 1334. Much better, but a couple of items remain:

Video:
-Default sort is by Date and Director. It should be by Series/Title.
-Column for Series/Title isn't enabled / doesn't exist in AA view.
-There seem to be 2 groups in Video:
 1) Unknown
 2) W
 That shouldn't be the case. They should be grouped by Series, otherwise not at all (i.e. just alphabetical). Though perhaps no grouping at all might be better.

Playlists:
The playlist 'View as' setting has no effect. e.g. Playlist set to 'Classical' doesn't appear like the Classical collection.

TV:
Second column should be 'Series' or 'Series/Season' rather than 'Series/Title'

petr

2010-12-15 01:26

developer   ~0021829

Last edited: 2010-12-15 21:15

View 2 revisions

Video & TV fixed in 1335. Assigning "View as" issue to Ludek. Also i've found some issues with this functionality:
- Change view as for playlist will not apply when user confirm dialog (need to change to another node and then back to playlist)
- In Auto-Playlist edit is incorrect text 'Search' instead of 'View as'

[Edit by Rusty: The Playlist issues have been moved to bug 0006509]

rusty

2010-12-15 21:10

administrator   ~0021852

Petr, there are a couple of additional issues with non-default views:

-Music Collection (AA+Details): Artist/Album column isn't enabled for this view.

-Classical Collection (AA+Details): Artwork column is in the middle of the screen (after Composer). It should be the first column. Also, the Artist/Album column isn't enabled for this view.

-Podcast Collection (Details): Track Browser not enabled
-Podcast Collection (AA): Author Column should be Composer??
-Podacast Collection (AA+Details): Artwork column appears in the middle of the screen (after Artist), instead of in the first column. Stacking is by Podcast, however, the Podcast column needlessly indicates the podcast for each episode.

-Audiobooks (Details): Track browser should be enabled

-Video (AA+Details): Artwork appears after Series instead of at first column

-For ALL Collections (AA and AA+Details): for any groups, 'Unknown' appears as the first group instead of as the last group.

petr

2010-12-15 22:56

developer   ~0021855

Fixed in 1335

peke

2011-01-13 00:00

developer   ~0022336

verified 1343